Subject: Re: bug#32990: 26.1.50; isearch-forward + t-m-m/mark-active doc

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Nov 2018 22:07:44 +0200

> Date: Thu, 15 Nov 2018 20:57:12 +0100
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked]
> 
> > I agree, but we should make sure clicking the menu won't exit Isearch.
> > 
> > Thanks.
> 
> There's a first draft of a menu- and tool-bar for Isearch at the end
> of this message (on branch master).

Thanks, I will try that later.

> Clicking the menu items and icons should work okay with the mouse,
> but I haven't yet found a way to show the menu with either
> "tmm-menubar" or TTY menus, since activating these functions will
> normally exit Isearch.

Does it work to give the respective commands a non-nil isearch-scroll
property?  I think at least the TTY menus should work even when the
TTY has no mouse.